Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.figures
Class NodeFigure

    java.lang.Object
      |
      +--org.eclipse.draw2d.Figure
            |
            +--APStudio.figures.NodeFigure

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

Direct Known Subclasses:
  ClassFigure

public class NodeFigure
extends org.eclipse.draw2d.Figure

Field Summary

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`NodeFigure()`

Method Summary
`org.eclipse.draw2d.ConnectionAnchor` | `connectionAnchorAt(org.eclipse.draw2d.geometry.Point p)`
`org.eclipse.draw2d.ConnectionAnchor` | `getConnectionAnchor(java.lang.String terminal)`
`java.lang.String` | `getConnectionAnchorName(org.eclipse.draw2d.ConnectionAnchor c)`
`org.eclipse.draw2d.ConnectionAnchor` | `getSourceConnectionAnchorAt(org.eclipse.draw2d.geometry.Point p)`
`java.util.Vector` | `getSourceConnectionAnchors()`
`org.eclipse.draw2d.ConnectionAnchor` | `getTargetConnectionAnchorAt(org.eclipse.draw2d.geometry.Point p)`
`java.util.Vector` | `getTargetConnectionAnchors()`

Methods inherited from class org.eclipse.draw2d.Figure
`add, add, add, add, addAncestorListener, addFigureListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, isEnabled, isFocusTraversable, isOpaque, isRequestFocusEnabled, isVisible, paint, remove, removeAll, removeAncestorListener, removeFigureListener, removeFocusListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setUpdateManager, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeFigure

    public NodeFigure()

Method Detail

### connectionAnchorAt

    public org.eclipse.draw2d.ConnectionAnchor connectionAnchorAt(org.eclipse.draw2d.geometry.Point p)

### getConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getConnectionAnchor(java.lang.String terminal)

### getConnectionAnchorName

    public java.lang.String getConnectionAnchorName(org.eclipse.draw2d.ConnectionAnchor c)

### getSourceConnectionAnchorAt

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchorAt(org.eclipse.draw2d.geometry.Point p)

### getSourceConnectionAnchors

    public java.util.Vector getSourceConnectionAnchors()

### getTargetConnectionAnchorAt

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchorAt(org.eclipse.draw2d.geometry.Point p)

### getTargetConnectionAnchors

    public java.util.Vector getTargetConnectionAnchors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD